> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unstructured.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Mark Read

> Mark notification events as read for current user.

Provide EITHER notification_ids (list of up to 100 UUIDs) OR before (timestamp).
workflow_id filter is only valid with 'before' mode.

Target performance: batch of 100 < 100ms (SC-015).



## OpenAPI

````yaml https://platform.unstructuredapp.io/openapi.json post /api/v1/notifications/mark-read
openapi: 3.1.0
info:
  title: Platform API
  version: 3.1.0
servers:
  - url: https://platform.unstructuredapp.io/
    description: Unstructured Platform API
    x-speakeasy-server-id: platform-api
security: []
paths:
  /api/v1/notifications/mark-read:
    post:
      tags:
        - notifications
      summary: Mark Read
      description: >-
        Mark notification events as read for current user.


        Provide EITHER notification_ids (list of up to 100 UUIDs) OR before
        (timestamp).

        workflow_id filter is only valid with 'before' mode.


        Target performance: batch of 100 < 100ms (SC-015).
      operationId: mark_read_api_v1_notifications_mark_read_post
      parameters:
        - name: unstructured-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Unstructured-Api-Key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MarkReadRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MarkReadResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MarkReadRequest:
      properties:
        notification_ids:
          anyOf:
            - items:
                type: string
                format: uuid
              type: array
              maxItems: 100
            - type: 'null'
          title: Notification Ids
          description: Specific notification IDs to mark as read (max 100)
        before:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Before
          description: >-
            Mark all notifications created before this ISO 8601 timestamp as
            read
        mark_all:
          type: boolean
          title: Mark All
          description: Mark all unread notifications as read (can combine with workflow_id)
          default: false
        workflow_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Workflow Id
          description: Filter by workflow (only valid with 'before' or 'mark_all')
      type: object
      title: MarkReadRequest
      description: >-
        Request to mark notifications as read.


        Provide ONE of: notification_ids, before, or mark_all (mutually
        exclusive).

        workflow_id is valid with 'before' or 'mark_all'.
    MarkReadResponse:
      properties:
        marked_count:
          type: integer
          title: Marked Count
          description: Number of events newly marked as read
      type: object
      required:
        - marked_count
      title: MarkReadResponse
      description: Response for mark-as-read operation.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````